# Class MObject

Class MObject

Declaration :

- C++ : class MObject : public Buildable
- Java : public interface MObject

Directly inherited by : AbstractMO Clip Effect Label Track

Artifact : mobject, Component(s) : Session

Stereotype: interface

Attribut length

TODO: how to represent time intervals?

Declaration :

- Uml : # length : Time
- C++ : protected: Time length

All public operations : apply , apply , dispatchOp